libebook::FB2Collector Class Reference documentation

Public Member Functions | List of all members
libebook::FB2Collector Class Referenceabstract

`#include <FB2Collector.h>`

Inheritance diagram for libebook::FB2Collector:

## Public Member Functions
virtual | ~FB2Collector ()=0
virtual void | defineMetadataEntry (const char *name, const char *value)=0
virtual void | openMetadataEntry (const char *name)=0
virtual void | closeMetadataEntry ()=0
virtual void | defineID (const char *id)=0
virtual void | openPageSpan ()=0
virtual void | closePageSpan ()=0
virtual void | openBlock ()=0
virtual void | closeBlock ()=0
virtual void | openParagraph (const FB2BlockFormat &format)=0
virtual void | closeParagraph ()=0
virtual void | openSpan (const FB2Style &style)=0
virtual void | closeSpan ()=0
virtual void | insertText (const char *text)=0
virtual void | openTable (const FB2BlockFormat &format)=0
virtual void | closeTable ()=0
virtual void | openTableRow (const FB2BlockFormat &format)=0
virtual void | closeTableRow ()=0
virtual void | openTableCell (int rowspan, int colspan)=0
virtual void | closeTableCell ()=0
virtual void | insertCoveredTableCell ()=0
virtual void | insertFootnote (const char *id)=0
virtual void | insertBitmap (const char *id)=0
virtual void | insertBitmapData (const char *contentType, const char *base64Data)=0

## Constructor & Destructor Documentation

## § ~FB2Collector()

libebook::FB2Collector::~FB2Collector | ( |  | ) |
| pure virtual

## Member Function Documentation

## § closeBlock()

virtual void libebook::FB2Collector::closeBlock | ( |  | ) |
| pure virtual

Implemented in libebook::FB2ExtrasCollector, libebook::FB2ContentCollector, and libebook::FB2MetadataCollector.

## § closeMetadataEntry()

virtual void libebook::FB2Collector::closeMetadataEntry | ( |  | ) |
| pure virtual

Implemented in libebook::FB2ExtrasCollector, libebook::FB2ContentCollector, and libebook::FB2MetadataCollector.

## § closePageSpan()

virtual void libebook::FB2Collector::closePageSpan | ( |  | ) |
| pure virtual

Implemented in libebook::FB2ExtrasCollector, libebook::FB2ContentCollector, and libebook::FB2MetadataCollector.

Referenced by libebook::FB2BodyContext::endOfElement().

## § closeParagraph()

virtual void libebook::FB2Collector::closeParagraph | ( |  | ) |
| pure virtual

Implemented in libebook::FB2ExtrasCollector, libebook::FB2ContentCollector, and libebook::FB2MetadataCollector.

Referenced by libebook::FB2ParaContextBase::endOfElement(), libebook::FB2EmptyLineContext::endOfElement(), libebook::FB2ImageContext::endOfElement(), libebook::FB2StanzaContext::endOfElement(), and libebook::FB2PoemContext::startOfElement().

## § closeSpan()

virtual void libebook::FB2Collector::closeSpan | ( |  | ) |
| pure virtual

Implemented in libebook::FB2ExtrasCollector, libebook::FB2ContentCollector, and libebook::FB2MetadataCollector.

Referenced by libebook::FB2InlineImageContext::endOfElement(), libebook::FB2ImageContext::endOfElement(), libebook::FB2AContext::text(), and libebook::FB2StyleContextBase::text().

## § closeTable()

virtual void libebook::FB2Collector::closeTable | ( |  | ) |
| pure virtual

Implemented in libebook::FB2ExtrasCollector, libebook::FB2ContentCollector, and libebook::FB2MetadataCollector.

Referenced by libebook::FB2TableContext::endOfElement().

## § closeTableCell()

virtual void libebook::FB2Collector::closeTableCell | ( |  | ) |
| pure virtual

Implemented in libebook::FB2ExtrasCollector, libebook::FB2ContentCollector, and libebook::FB2MetadataCollector.

Referenced by libebook::FB2CellContext::endOfElement().

## § closeTableRow()

virtual void libebook::FB2Collector::closeTableRow | ( |  | ) |
| pure virtual

Implemented in libebook::FB2ExtrasCollector, libebook::FB2ContentCollector, and libebook::FB2MetadataCollector.

Referenced by libebook::FB2TrContext::endOfElement().

## § defineID()

virtual void libebook::FB2Collector::defineID | ( | const char * | id | ) |
| pure virtual

Implemented in libebook::FB2ExtrasCollector, libebook::FB2ContentCollector, and libebook::FB2MetadataCollector.

Referenced by libebook::FB2ParaContextBase::attribute(), libebook::FB2TableContext::attribute(), libebook::FB2CiteContext::attribute(), libebook::FB2CellContext::attribute(), libebook::FB2EpigraphContext::attribute(), libebook::FB2ImageContext::attribute(), libebook::FB2PoemContext::attribute(), libebook::FB2SectionContext::attribute(), libebook::FB2TitleContext::attribute(), and libebook::FB2BinaryContext::text().

## § defineMetadataEntry()

virtual void libebook::FB2Collector::defineMetadataEntry | ( | const char * | name,
|  | const char * | value
| ) |  |
| pure virtual

Implemented in libebook::FB2ExtrasCollector, libebook::FB2ContentCollector, and libebook::FB2MetadataCollector.

Referenced by libebook::FB2CustomInfoContext::endOfElement(), libebook::FB2TitleInfoContext::endOfElement(), libebook::FB2BookTitleContext::text(), libebook::FB2DateContext::text(), libebook::FB2KeywordsContext::text(), libebook::FB2LangContext::text(), libebook::FB2PublisherContext::text(), libebook::FB2SrcUrlContext::text(), and libebook::FB2VersionContext::text().

## § insertBitmap()

virtual void libebook::FB2Collector::insertBitmap | ( | const char * | id | ) |
| pure virtual

Implemented in libebook::FB2ExtrasCollector, libebook::FB2ContentCollector, and libebook::FB2MetadataCollector.

Referenced by libebook::FB2InlineImageContext::endOfElement(), and libebook::FB2ImageContext::endOfElement().

## § insertBitmapData()

virtual void libebook::FB2Collector::insertBitmapData | ( | const char * | contentType,
|  | const char * | base64Data
| ) |  |
| pure virtual

Implemented in libebook::FB2ExtrasCollector, libebook::FB2ContentCollector, and libebook::FB2MetadataCollector.

Referenced by libebook::FB2BinaryContext::text().

## § insertCoveredTableCell()

virtual void libebook::FB2Collector::insertCoveredTableCell | ( |  | ) |
| pure virtual

Implemented in libebook::FB2ExtrasCollector, libebook::FB2ContentCollector, and libebook::FB2MetadataCollector.

Referenced by libebook::FB2CellContext::endOfElement(), and libebook::FB2TrContext::openRow().

## § insertFootnote()

virtual void libebook::FB2Collector::insertFootnote | ( | const char * | id | ) |
| pure virtual

Implemented in libebook::FB2ExtrasCollector, libebook::FB2ContentCollector, and libebook::FB2MetadataCollector.

Referenced by libebook::FB2AContext::text().

## § insertText()

virtual void libebook::FB2Collector::insertText | ( | const char * | text | ) |
| pure virtual

Implemented in libebook::FB2ExtrasCollector, libebook::FB2ContentCollector, and libebook::FB2MetadataCollector.

Referenced by libebook::FB2InlineImageContext::endOfElement(), libebook::FB2ImageContext::endOfElement(), libebook::FB2AContext::text(), and libebook::FB2StyleContextBase::text().

## § openBlock()

virtual void libebook::FB2Collector::openBlock | ( |  | ) |
| pure virtual

Implemented in libebook::FB2ExtrasCollector, libebook::FB2ContentCollector, and libebook::FB2MetadataCollector.

## § openMetadataEntry()

virtual void libebook::FB2Collector::openMetadataEntry | ( | const char * | name | ) |
| pure virtual

Implemented in libebook::FB2ExtrasCollector, libebook::FB2ContentCollector, and libebook::FB2MetadataCollector.

## § openPageSpan()

virtual void libebook::FB2Collector::openPageSpan | ( |  | ) |
| pure virtual

Implemented in libebook::FB2ExtrasCollector, libebook::FB2ContentCollector, and libebook::FB2MetadataCollector.

Referenced by libebook::FB2BodyContext::startOfElement().

## § openParagraph()

virtual void libebook::FB2Collector::openParagraph | ( | const FB2BlockFormat & | format | ) |
| pure virtual

Implemented in libebook::FB2ExtrasCollector, libebook::FB2ContentCollector, and libebook::FB2MetadataCollector.

Referenced by libebook::FB2EmptyLineContext::endOfElement(), libebook::FB2ImageContext::endOfElement(), libebook::FB2StanzaContext::endOfElement(), libebook::FB2ParaContextBase::startOfElement(), and libebook::FB2PoemContext::startOfElement().

## § openSpan()

virtual void libebook::FB2Collector::openSpan | ( | const FB2Style & | style | ) |
| pure virtual

Implemented in libebook::FB2ExtrasCollector, libebook::FB2ContentCollector, and libebook::FB2MetadataCollector.

Referenced by libebook::FB2InlineImageContext::endOfElement(), libebook::FB2ImageContext::endOfElement(), libebook::FB2AContext::text(), and libebook::FB2StyleContextBase::text().

## § openTable()

virtual void libebook::FB2Collector::openTable | ( | const FB2BlockFormat & | format | ) |
| pure virtual

Implemented in libebook::FB2ExtrasCollector, libebook::FB2ContentCollector, and libebook::FB2MetadataCollector.

Referenced by libebook::FB2TableContext::startOfElement().

## § openTableCell()

virtual void libebook::FB2Collector::openTableCell | ( | int | rowspan,
|  | int | colspan
| ) |  |
| pure virtual

Implemented in libebook::FB2ExtrasCollector, libebook::FB2ContentCollector, and libebook::FB2MetadataCollector.

Referenced by libebook::FB2CellContext::openCell().

## § openTableRow()

virtual void libebook::FB2Collector::openTableRow | ( | const FB2BlockFormat & | format | ) |
| pure virtual

Implemented in libebook::FB2ExtrasCollector, libebook::FB2ContentCollector, and libebook::FB2MetadataCollector.

Referenced by libebook::FB2TrContext::openRow().

The documentation for this class was generated from the following files:

- FB2Collector.h
- FB2Collector.cpp